Ledga
GET/journals/{journalId}/statistics

Get journal statistics

Get journal statistics.

Parameters

NameInTypeDescription
journalIdrequired path string
uuid
Journal UUID

Responses

200Statistics retrieved
{
  "success": true,
  "data": {
    "total_transactions": 0,
    "posted_transactions": 0,
    "pending_transactions": 0,
    "reversed_transactions": 0,
    "total_accounts_affected": 0
  }
}
401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
403Forbidden
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
404Journal not found
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl https://ledga.io/api/v1/journals/{journalId}/statistics \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret"

← All endpoints